Recent Posts:

Archives:

Blogroll:

Get Email Updates:
Enter your email address:

Monday, 25 April 2011

1and1: Your host needs to use PHP 5.2.4 or higher to run Joomla 1.6:

If you're attempting to install Joomla 1.6 on your 1and1 web hosing package, after uploading the Joomla 1.6 package, you may see the below error when you naviagte to your Joomla url in a web browser:

Your host needs to use PHP 5.2.4 or higher to run Joomla 1.6

To rectify this problem you'll need to add the below to the top of the htaccess.txt file at the root of the Joomla 1.6 package to map .php to the php5 engine.
# 1&1 addition to map .php to the php5 engine
AddType x-mapp-php5 .php
Alternatively you can download my htaccess.txt by clicking here.

Next, rename htaccess.txt to .htaccess and upload it to the root of the Joomla 1.6 package on your 1and1 web hosting package.

You should now be able to continue with the Joomla 1.6 installation by naviagting to your Joomla url in a web browser.

Links:
Joomla: www.joomla.org
.htaccess info: httpd.apache.org/docs/1.3/howto/htaccess.html


6 Comments:

Anonymous Anonymous said...
Thanks so much for this post! I was really struggling with this. I would have continued to be lost without your post.

SW
10 May 2011 at 02:57  
Blogger Matthew Lawrence said...
No worries. Glad it helped!
10 May 2011 at 09:14  
Anonymous Anonymous said...
i still have issues with it , tried the above . also upgraded the PHP version but the same isseu.. Any advice??
21 September 2011 at 09:13  
Blogger Matthew Lawrence said...
Hi, just to confirm. Is your hosting with 1&1?
21 September 2011 at 19:41  
Blogger Kim said...
I'm having the same problem as above, am with 1and1. Any sugestions please Matthew. Thanks.
29 September 2011 at 18:02  
Blogger Ankesh kunwar said...
i am having the same problem it still doesn't work .i am using my3gb.com
it still showing error "Your host needs to use PHP 5.2.4 or higher to run this version of Joomla!"
help me !!!
what can i do
24 June 2013 at 15:06  

Post a Comment

Subscribe to Post Comments [Atom]

‹Home

Newer›  ‹Older